#include "efield.h"

using namespace event;

const EField EField::SERIAL('#',"serial"); 
const EField EField::ABOVE('a',"above");
const EField EField::BUTTON('b',"button");
const EField EField::COUNT('c',"count");
const EField EField::DETAIL('d',"detail");
const EField EField::FOCUS('f',"focus");
const EField EField::HEIGHT('h',"height");
const EField EField::ID('i',0);
const EField EField::KEYCODE('k',"keycode");
const EField EField::MODE('m',"mode");
const EField EField::OVERRIDE('o',"override");
const EField EField::PLACE('p',"place");
const EField EField::STATE('s',"state");
const EField EField::TIME('t',"time");
const EField EField::VALUE_MASK('v',0);
const EField EField::WIDTH('w',"width");
const EField EField::X('x',"x");
const EField EField::Y('y',"y");
	
const EField EField::PRINT_CHAR('A',0);
const EField EField::BORDER_WIDTH('B',"borderwidth");
const EField EField::DELTA('D',"delta");
const EField EField::SENDEVENT('E',"sendevent");
const EField EField::KEYSYM('K',"keysym");
const EField EField::KEYSYM_DECIMAL('N',0);
const EField EField::PROPERTY_ATOM_NAME('P',0);
const EField EField::ROOT_WINDOW('R',"root");
const EField EField::SUB_WINDOW('S',"subwindow");
const EField EField::TYPE('T',0);
const EField EField::WIDGET_PATHNAME('W',0);
const EField EField::X_ROOT('X',"rootx");
const EField EField::Y_ROOT('Y',"rooty");

const EField EField::END('\0',0);

const char EField::getId() const
{
	return id;
}

const char* EField::getName() const
{
	return name;
}


